describe('Register Form', () => {
  beforeEach(() => {
      cy.visit('/login')
    })
    it('form visible', () => {
      cy.get('body')
        .first()
      .find('.form-container')
      .find('.form-content-input')
      .find('form')
      .should('be.visible')
    })
    it('button visible', () => {
      cy.get('body')
        .first()
      .find('.form-container')
      .find('.form-content-input')
      .find('form')
      .find('.form-input-btn')
      .should('be.visible')
    })
    it('sign uplink visible and works', () => {
      cy.get('body')
        .first()
      .find('.form-container')
      .find('.form-content-input')
      .find('form')
      .find('.form-input-login')
      .should('be.visible')
      .find('a')
      .click()
      .url().should('eq', 'http://localhost:3000/signup')
    })
  })

  describe('Form Inputs - Typable', () => {
    beforeEach(() => {
        cy.visit('/login')
      })
      it('username', () => {
        cy.get('body')
          .first()
        .find('.form-container')
        .find('.form-content-input')
        .find('form')
        .find('.form-inputs')
        .first()
        .should('be.visible')
        .type('hello')
      })
      it('password', () => {
        cy.get('body')
          .first()
          .find('.form-container')
          .find('.form-content-input')
          .find('form')
          .find('.form-inputs')
          .first()
          .next()
          .should('be.visible')
          .type('hello')
      })
      
    })